Vinix· docs
API referenceCore APIVoice CapabilitiesConferences

Update Conference

Sandbox is coming soon

Today, requests on this page run against your live account. A hosted sandbox with simulated PSTN is on the roadmap — until then, use a non-production user or callflow when experimenting.

Details
POST
/accounts/{account_id}/conferences/{conference_id}

Authorization

AuthToken
X-Auth-Token<token>

Obtain via PUT /v2/user_auth (user credentials) or PUT /v2/api_auth (account API key). See Authentication.

In: header

Path Parameters

account_id*string

Vinix account identifier.

conference_id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/accounts/string/conferences/string" \  -H "Content-Type: application/json" \  -d '{    "data": {}  }'
{
  "data": {
    "bridge_password": "string",
    "bridge_username": "string",
    "caller_controls": "string",
    "conference_numbers": [],
    "controls": {},
    "domain": "string",
    "flags": [
      "string"
    ],
    "focus": "string",
    "language": "string",
    "max_members_media": "string",
    "max_participants": 0,
    "member": {},
    "moderator": {},
    "moderator_controls": "string",
    "name": "string",
    "owner_id": "stringstringstringstringstringst",
    "play_entry_tone": true,
    "play_exit_tone": true,
    "play_name": false,
    "play_welcome": true,
    "profile": {
      "alone-sound": "string",
      "announce-count": 0,
      "caller-controls": "string",
      "comfort-noise": 0,
      "energy-level": 0,
      "enter-sound": "string",
      "exit-sound": "string",
      "interval": 10,
      "locked-sound": "string",
      "max-members": 2,
      "max-members-sound": "string",
      "moderator-controls": "string",
      "moh-sound": "string",
      "muted-sound": "string",
      "rate": 8000,
      "unmuted-sound": "string"
    },
    "profile_name": "string",
    "require_moderator": true,
    "wait_for_moderator": true
  }
}
{
  "code": "string",
  "message": "string",
  "request_id": "string"
}
{
  "code": "string",
  "message": "string",
  "request_id": "string"
}
{
  "code": "string",
  "message": "string",
  "request_id": "string"
}